/* ヘッダーメニュー */
/* Navbar & Navmenu color */
:root {
  --background-navbar: #016eb6;
}

.header {
	background: var(--background-navbar);
	position: fixed;
	width: 100%;
	height: 52px;
	z-index: 10;
}

/* Nav items */
.menu {
	list-style: none;
	position: absolute;
	width: 100%;
	height: auto;
	top: 0;
	margin-top: 52px;
	padding: 0 0 10px 0;
	clear: both;
	background: var(--background-navbar);
	transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
	transform: scale(1, 0);
	transform-origin: top;
	z-index: 10;
}

/* Hamburger menu button */
#menu-close {
	display: none;/*はじめは隠しておく*/
	position: fixed;
	z-index: 1;
	top: 0;/*全体に広がるように*/
	left: 0;
	width: 100%;
	height: 100%;
	background: black;
	opacity: 0;
	transition: .3s ease-in-out;
margin-top: 52px;
}

#menu-btn:checked ~ #menu-close {
	display: block;/*カバーを表示*/
	opacity: .5;
}

.menu-btn:checked ~ .menu {
  transform: scale(1, 1);
  transform-origin: top;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

/* Hamburger menbu text */
.menu a {
  text-decoration: none;
  font-weight: 500;
  letter-spacing: 2px;
  font-size: 16px;
  text-transform: capitalize;
  color: #ddd;
  opacity: 0;
  transition: 0.5s;
}

.menu li {
  border-top: 1px solid lightsteelblue;
  padding: 15px 0;
  margin: 0 54px;
  opacity: 0;
  transition: 0.5s;
}

.menu-btn:checked ~ .menu a,
.menu-btn:checked ~ .menu li {
  opacity: 1;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.2s;
}

.menu-btn {
  display: none;
}

.menu-icon {
  display: inline-block;
  position: relative;
  cursor: pointer;
  padding: 24px 14px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.navicon {
  background: white;
  display: block;
  height: 3px;
  width: 26px;
  position: relative;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before,
.navicon:after {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  background: white;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before {
  top: 9px;
}

.navicon:after {
  bottom: 9px;
}

/* Hamburger Menu Animation Start */
.menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before {
  top: 0;
}
.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  bottom: 0;
}

.menu-btn:checked ~ .menu-icon .navicon {
  background: rgba(0, 0, 0, 0);
  transition: 0.2192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}
/* Hamburger Menu Animation End */

/* Navbar Container */
.navtext-container {
  width: 100%;
  height: 52px;
  position: absolute;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Navbar Text */
.navtext {
  position: absolute;
  text-transform: uppercase;
  color: #ddd;
  letter-spacing: 4px;
  font-size: 20px;
}

.comu[data-style-header-menu-title] { color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 12px; font-style: normal; font-weight: 900; height: auto; letter-spacing: 0.1em; line-height: 1.4; margin: 0px 0px 0px 0px; padding: 0px; text-align: center; width: auto; max-width: 100%; justify-content: center; }
.comu[data-style-header-menu-item-text] { color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 24px; font-style: normal; font-weight: 700; height: auto; letter-spacing: 0.1em; line-height: 1.5; margin: 0px 0px 0px 0px; padding: 0px; text-align: center; width: auto; max-width: 100%; justify-content: center; }
.comu[data-style-header-menu-item-icon] { color: #ffffff; font-size: 36px; }




/* セクションごとの外郭 */
#COMU-SECTION-URANAU { background: #ec9566; }
#COMU-SECTION-ABOUTME { background: #f39fb5; }
#COMU-SECTION-LOVE { background: #a7d8f0; }
#COMU-SECTION-FRIENDS { background: #e6d5a2; }
#COMU-SECTION-OTHER { background: #ec9566; }
#COMU-SECTION-TYPE { background: #adced1; }

.comu[data-style-section-wrapper] {
	align-content: center; align-items: center; flex: none; flex-direction: column; flex-wrap: nowrap; height: auto; justify-content: center; padding: 150px 50px 150px 50px; width: 100%; max-width: 100%;
	position: relative;
}
@media screen and (max-width: 800px){
	.comu[data-style-section-wrapper] { padding: 50px 0px 100px 0px; }
}


/* セクションごとのロゴ */
.comu[data-style-section-logo-eigo] { color: #FFFFFF; flex: none; font-family: var(--s-font-36a2aa22); font-size: 144px; font-weight: 900; height: auto; letter-spacing: 0.05em; line-height: 1; margin: 0px 0px 0px 0px; text-align: left; width: auto; max-width: 100%; justify-content: flex-start; }
@media screen and (max-width: 1200px) {
.comu[data-style-section-logo-eigo] { font-size: 88px; }
}
@media screen and (max-width: 800px) {
.comu[data-style-section-logo-eigo] { font-size: 36px; }
}

.comu[data-style-section-logo-bango] { background: rgb(255, 255, 255); border-radius: 50%; flex: none; font-family: var(--s-font-36a2aa22); font-size: 20px; font-style: normal; font-weight: 800; height: 40px; letter-spacing: 0em; line-height: 1.4; margin: -100px 0px 0px 0px; padding: 0px; text-align: center; width: 40px; max-width: 100%; justify-content: center; }
@media screen and (max-width: 1200px) {
.comu[data-style-section-logo-bango] { margin: -50px 0 0 0; }
}
@media screen and (max-width: 800px) {
.comu[data-style-section-logo-bango] { margin: -20px 0 0 0; }
}

.comu[data-style-section-logo-nihongo-big] { color: #ffffff; flex: none; font-family: var(--s-font-70b15398); font-size: 72px; font-weight: 800; height: auto; line-height: 1.4; margin: 0px 0px 0px 0px; text-align: center; width: 100%; max-width: 100%; justify-content: center; }
.comu[data-style-section-logo-nihongo-big].appear { opacity: 0; transform: translate(20px, 0px); transition-delay: 400ms; transition-duration: 800ms; transition-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95); }
.comu[data-style-section-logo-nihongo-big].appear-active { transition-delay: 400ms; transition-duration: 800ms; transition-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95); }
@media screen and (max-width: 1200px){
.comu[data-style-section-logo-nihongo-big] { font-size: 48px; }
}
@media screen and (max-width: 800px){
.comu[data-style-section-logo-nihongo-big] { font-size: 28px; margin: 0; width: 100%; max-width: 100%; }
}

.comu[data-style-section-logo-nihongo-mini] { color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 15px; font-style: normal; font-weight: 700; height: auto; letter-spacing: 0.1em; line-height: 1.5; margin: 10px 0px 0px 0px; padding: 0px; text-align: center; width: auto; max-width: 100%; justify-content: center; }
@media screen and (max-width: 800px){
	.comu[data-style-section-logo-nihongo-mini] {
		text-align: left;
		padding: 0 30px;
	}
}




/* サイト見出し */
.comu[data-style-top-midashi-logo] { color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 72px; font-weight: 900; height: auto; letter-spacing: 0.1em; line-height: 1; padding: 0px; text-align: center; width: auto; max-width: 100%; justify-content: center; }
@media screen and (max-width: 1200px) {
	.comu[data-style-top-midashi-logo] {
	}
}
@media screen and (max-width: 800px) {
	.comu[data-style-top-midashi-logo] {
		font-size: 36px;
		margin-top: -50px;
	}
}

.comu[data-style-top-midashi-character] { flex: none; height: auto; margin: -150px 0px 0px 0px; width: 300px; max-width: 100%; }
@media screen and (max-width: 800px) {
	.comu[data-style-top-midashi-character] {
		margin-top: -100px;
	}
}


.top_midashi_text_wrapper {}
@media screen and (max-width: 800px) {
	.top_midashi_text_wrapper {
		padding: 0 30px;
	}
}

.top_midashi_text_wrapper .rokumaru_title {
	font-style: normal; font-weight: 900; height: auto; letter-spacing: 0.1em; line-height: 1.4; margin: 0px 0px 0px 0px; padding: 0px; width: auto; max-width: 100%;
	text-align: center;
}

.top_midashi_text_wrapper .rokumaru_title span {
	display: inline;
	color: #ffffff;
	font-size: 48px;
	font-family: var(--s-font-36a2aa22);
}
@media screen and (max-width: 800px) {
	.top_midashi_text_wrapper .rokumaru_title span {
		display: block;
		font-size: 32px;
	}
}

.top_midashi_text_wrapper .rokumaru_word {
	position: relative;
}

.top_midashi_text_wrapper .rokumaru_word .rokumaru_word_text {
	color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 15px; font-style: normal; font-weight: 700; height: auto; letter-spacing: 0.1em; line-height: 1.5; margin: 10px 0px 0px 0px; padding: 0px; text-align: center; width: auto; max-width: 100%; justify-content: center;
}
@media screen and (max-width: 800px) {
	.top_midashi_text_wrapper .rokumaru_word .rokumaru_word_text {
		text-align: left;
	}
}

.top_midashi_text_wrapper .rokumaru_word .rokumaru_word_bg {
	bottom: -123px; color: #9ec2c6; font-family: var(--s-font-36a2aa22); font-size: 144px; font-weight: 900; height: auto; left: 0px; line-height: 1.4; margin: 0 0 0 0; padding: 0px; position: absolute; right: 0px; text-align: center; top: auto; width: auto; z-index: -3; max-width: 100%; justify-content: center;
}
@media screen and (max-width: 800px) {
	.top_midashi_text_wrapper .rokumaru_word .rokumaru_word_bg {
		font-size: 100px;
		top: 50%;
	}
}




/* 入力フォーム */
.comu[data-style-form-base] {
	align-content: center;
	align-items: center;
	background: rgba(0,0,0,0.0);
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 28px;
	height: auto;
	justify-content: center;
	margin: 50px 0px 0px 0px;
	width: 100%;
	--gap-h-d88a447a-dcf7-4010-a578-73e73ba300cf: 30px;
	--gap-v-d88a447a-dcf7-4010-a578-73e73ba300cf: 0px;
	--gap-uuid: d88a447a-dcf7-4010-a578-73e73ba300cf;
	width: 100%;
	box-sizing: border-box;
}

.comu[data-style-form-base-parts-year] {
	display: flex;
	align-content: center;
	align-items: center;
	flex: none;
	flex-direction: column;
	flex-wrap: wrap;
	justify-content: center;
	height: 44px;
	width: 180px;
	max-width: 100%;
}

.comu[data-style-form-base-parts-month],
.comu[data-style-form-base-parts-day] {
	display: flex;
	align-content: center;
	align-items: center;
	flex: none;
	flex-direction: column;
	flex-wrap: wrap;
	justify-content: center;
	height: 44px;
	width: 130px;
	max-width: 100%;
}

@media screen and (max-width: 800px) {
	.comu[data-style-form-base-parts-year],
	.comu[data-style-form-base-parts-month],
	.comu[data-style-form-base-parts-day] {
		width: 100%;
	}
}



.comu[data-style-form-input-year] {
	overflow: hidden;
	position: relative;
	border: none;
	width: 150px;
	height: 44px;
	display: inline-block;
}

.comu[data-style-form-input-year] input {
	padding: 0;
	appearance: none;
	width: 100%;
	height: 100%;
	background-color: #ffffff;
	color: #333;
	font-family: var(--s-font-608bc5a3);
	font-size: 18px;
	font-weight: 600;
	text-align: center;
	display: block;
	cursor: pointer;
	outline: none;
	border: none;
	border-radius: 24px;
}


.comu[data-style-form-select-month], 
.comu[data-style-form-select-day] {
	overflow: hidden;
	position: relative;
	border: none;
	width: 100px;
	height: 44px;
	text-align: center;
}
.comu[data-style-form-select-month]::before,
.comu[data-style-form-select-day]::before {
	position: absolute;
	top: 50%;
	right: 15px;
	transform: translateY(-50%);
	content: "";
	width: 0;
	height: 0;
	border-top: 5px solid black;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	pointer-events: none;
	z-index: 1;
}

.comu[data-style-form-select-month] select,
.comu[data-style-form-select-day] select {
	padding: 0;
	appearance: none;
	width: 100%;
	height: 100%;
	background-color: white;
	color: #333;
	font-family: var(--s-font-608bc5a3);
	font-size: 18px;
	font-weight: 600;
	text-align: center;
	display: block;
	cursor: pointer;
	outline: none;
	border: none;
	border-radius: 24px;
}

_:lang(x)+_:-webkit-full-screen-document,
.comu[data-style-form-select-month] select,
.comu[data-style-form-select-day] select {
	text-indent: 2em;
}


.comu[data-style-form-ymd-kanji] {
	display: inline-block;
	color: #ffffff;
	font-family: var(--s-font-608bc5a3);
	font-size: 15px;
	font-style: normal;
	font-weight: 700;
	letter-spacing: 0.1em;
	line-height: 1.5;
	margin-left: 10px;
	padding: 7px 0 0 0;
}


.comu[data-style-form-button-kekka] {
	align-content: center; align-items: center; 
	ackground: rgba(0,0,0,0.0); 
	lex-direction: column;
	flex-wrap: nowrap;
	height: auto;
	justify-content: center;
	margin: 50px 0px 0px 0px;
	width: auto;
	max-width: 100%;
	text-align: center;
}

.comu[data-style-form-button-kekka] button {
	background: #016fb5;
	border-radius: 64px;
	color: #ffffff;
	font-family: var(--s-font-608bc5a3);
	font-size: 32px;
	font-style: normal;
	font-weight: 900;
	height: auto;
	letter-spacing: 0.1em;
	line-height: 1;
	margin: 0px 0px 0px 0px;
	padding: 20px 50px 20px 50px;
	text-align: left;
	width: auto;
	max-width: 100%;
	justify-content: flex-start;
	cursor: pointer;
}
@media screen and (max-width: 800px) {
	.comu[data-style-form-button-kekka] button {
		font-size: 20px;
	}
}



/* こんなこともわかります　丸枠キャッチコピー */
ul.comu[data-style-other-round-catch] {
	align-content: center;
	align-items: center;
	background: rgba(0,0,0,0.0);
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 30px;
	height: auto;
	justify-content: center;
	margin: 50px 0px 0px 0px;
	width: 100%;
	--gap-h-d88a447a-dcf7-4010-a578-73e73ba300cf: 30px;
	--gap-v-d88a447a-dcf7-4010-a578-73e73ba300cf: 0px;
	--gap-uuid: d88a447a-dcf7-4010-a578-73e73ba300cf;
	max-width: 100%;
	box-sizing: border-box;
	list-style-type: none;
}
@media screen and (max-width: 1000px) {
	ul.comu[data-style-other-round-catch] {
		gap: 10px;
		padding: 0 30px;
	}
}

.comu[data-style-other-round-catch] li {
	display: flex;
	align-content: center;
	align-items: center;
	background: #ffffff;
	border-radius: 50%;
	flex: none;
	flex-direction: column;
	flex-wrap: wrap;
	height: 230px;
	justify-content: space-around;
	padding: 20px;
	width: 230px;
	max-width: 100%;
}
@media screen and (max-width: 1400px) {
	.comu[data-style-other-round-catch] li {
		width: 150px;
		height: 150px;
	}
}
@media screen and (max-width: 1000px) {
	.comu[data-style-other-round-catch] li {
		display: block;
		width: 100%;
		height: auto;
		border-radius: 15px;
	}
}

.comu[data-style-other-round-catch] li p {
	font-family: var(--s-font-36a2aa22);
	font-size: 24px;
	font-style: normal;
	font-weight: 900;
	height: auto;
	letter-spacing: 0.1em;
	line-height: 1.4;
	margin: 0px 0px 0px 0px;
	padding: 0px;
	text-align: center;
	width: auto;
	max-width: 100%;
	justify-content: flex-start;
}
@media screen and (max-width: 1400px) {
	.comu[data-style-other-round-catch] li p {
		font-size: 16px;
	}
}

.comu[data-style-other-round-catch] li p span {
	color: #ec9566;
	display: inline-block;
}




/* 性格TYPE */
.comu[data-style-section-type-block-bottom] {
	text-align: center;
}


.comu[data-style-section-type-block-bottom-button] {
	align-content: center; align-items: center; background: rgba(0,0,0,0.0); flex-direction: column; flex-wrap: nowrap; height: auto; justify-content: center; margin: 50px 0px 0px 0px; width: auto; max-width: 100%;
}

.comu[data-style-section-type-block-bottom-button] a {
	display: inline-block;
	background: #016fb5; border-radius: 64px; color: #ffffff; font-family: var(--s-font-36a2aa22); font-size: 32px; font-style: normal; font-weight: 900; height: auto; letter-spacing: 0.1em; line-height: 1; margin: 0px 0px 0px 0px; padding: 20px 50px 20px 50px; text-align: left; width: auto; max-width: 100%; justify-content: flex-start;
}
@media screen and (max-width: 800px){
	.comu[data-style-section-type-block-bottom-button] a { font-size: 20px; padding: 20px 30px 20px 30px; }
}


/* 画面サイズ横幅800px以上はキャラクターを画像を画面内に表示させ、800px以下はスクロールさせる */
.comu[data-style-section-type-block-bottom-characters] {
	width: 60%;
	font-size: 0;
	margin: 0 auto;
	margin-top: 150px;
}
@media screen and (max-width: 800px) {
	.comu[data-style-section-type-block-bottom-characters] {
		display: flex;
		width: 100vw;
		height: auto;
		overflow: hidden;
		text-align: left;
		margin-top: 100px;
	}
	
	.comu[data-style-section-type-block-bottom-characters] p {	/* このPタグをスクロールさせる */
		display: inline-block;
		white-space: nowrap;
		animation: infinity-scroll-left 40s infinite linear 0.5s both;
	}
}

/* 800px以上の場合は2枚並べたキャラクター画像の右側を非表示にする */
.comu[data-style-section-type-block-bottom-characters] img {
	width: 100%;
	height: auto;
	border: 0;
}
@media screen and (max-width: 800px) {
	.comu[data-style-section-type-block-bottom-characters] img {
		width: 800px;
	}
}
.comu[data-style-section-type-block-bottom-characters] img:last-child {
	display: none;
}
@media screen and (max-width: 800px) {
	.comu[data-style-section-type-block-bottom-characters] img:last-child {
		display: inline;
	}
}

@keyframes infinity-scroll-left {
	0% {
		transform: translateX(0);
	}
	to {
		transform: translateX(-50%);	/* 画像2枚並べた左側半分が全て画面の左に消えるまでスクロール。左側画像がすべて消えた時点でスクロールを最初に戻すことで無限ループになる */
	}
}




/* SHARE アイコン */
.comu[data-style-share-icon-base] {
	align-content: center;
	align-items: center;
	border-radius: 50%;
	flex: none;
	flex-direction: row;
	flex-wrap: nowrap;
	height: 35px;
	justify-content: center;
	width: 35px;
	max-width: 100%;
	padding: 7px;
}

.comu[data-style-share-icon-base] a {
	display: block;
	background: rgba(0,0,0,0.0);
	border-radius: 0;
	color: #FFFFFF;
	flex: none;
	font-size: 20px;
	height: 20px;
	width: 20px;
	max-width: 100%;
}

.comu[data-style-share-icon-base] a img {
	width: 100%;
	height: 100%;
}

.comu[data-style-share-icon-facebook] {
	background: #247df5;
}

.comu[data-style-share-icon-x] {
	background: #000000;
}
.comu[data-style-share-icon-instagram] {
	background: #feb71f;
}
.comu[data-style-share-icon-line] {
	background: #16c85b;
}



/* 下部メニュー */
.comu[data-style-bottom-menu] li a {
	color: #ffffff;
	font-family: var(--s-font-36a2aa22);
	font-size: 15px; font-style: normal;
	font-weight: 700;
	letter-spacing: 0.1em;
	line-height: 1.5;
}

@media screen and (min-width: 801px) {
	.comu[data-style-bottom-menu] {
		display: flex;
		align-content: center;
		align-items: center;
		background: rgba(0,0,0,0.0);
		flex: none;
		flex-direction: row;
		flex-wrap: wrap;
		height: auto;
		justify-content: center;
		width: 100%;
		max-width: 100%;
		list-style-type: none;
	}
	
	.comu[data-style-bottom-menu] li {
		border-left: 1px solid #ffffff;
		border-right: 0px solid #ffffff;
		height: auto;
		margin: 0px 0px 0px 0px;
		padding: 0px 20px 0px 20px;
		text-align: center;
		width: auto;
		max-width: 100%;
		justify-content: center;
	}
	.comu[data-style-bottom-menu] li:first-child {
		border: 0;
	}
	
}
@media screen and (max-width: 800px) {
	.comu[data-style-bottom-menu] {
		display: block;
		width: 100%;
		list-style-type: none;
		margin: 0;
		padding: 0;
	}
	
	.comu[data-style-bottom-menu] li {
		margin: 20px 0 20px 20px;
		padding: 0 20px;
		text-align: left;
		position: relative;
	}
	.comu[data-style-bottom-menu] li::before {
		width: 0px;
		height: 0px;
		border-top: 6px solid transparent;
		border-right: 8px solid transparent;
		border-left: 8px solid white;
		border-bottom: 6px solid transparent;
		content: '';
		font-size: 0;
		position: absolute;
		left: 0;
		top: 4px;
	}
}
